cURL
curl --request POST \ --url https://embed.nova.dweet.com/v1/jobs/{jobId}/scoring-batches \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Tenant-Id: <x-tenant-id>' \ --data ' { "applications": [ { "applicationId": "<string>", "resumeUrl": "<string>", "candidateData": { "applicationAnswers": [ { "question": "<string>", "answer": "<string>" } ] } } ] } '
{ "batch": { "id": "<string>", "jobId": "<string>", "status": "PENDING", "totalJobs": 123, "completedJobs": 123, "failedJobs": 123, "createdAt": "2023-11-07T05:31:56Z", "completedAt": "2023-11-07T05:31:56Z" }, "scoringJobIds": [ "<string>" ] }
{ "applications": [ { "applicationId": "app-001", "resumeUrl": "https://storage.example.com/resumes/001.pdf" }, { "applicationId": "app-002", "resumeUrl": "https://storage.example.com/resumes/002.pdf", "candidateData": { "applicationAnswers": [ { "question": "Are you eligible to work in the UK?", "answer": "Yes" } ] } } ] }
202 Accepted
{ "batch": { "id": "batch_id", "jobId": "job-123", "status": "PENDING", "totalJobs": 2, "completedJobs": 0, "failedJobs": 0, "createdAt": "2025-12-14T10:30:45Z", "completedAt": null }, "scoringJobIds": ["scoring_job_id_1", "scoring_job_id_2"] }
Use Authorization: Bearer sk_test_* or Authorization: Bearer sk_live_*.
Your customer identifier. Tenants are auto-provisioned on first request.
Your job identifier (external ID).
1 - 100
Show child attributes
Accepted
Was this page helpful?